module.exports = {
    parser: '@typescript-eslint/parser',
    plugins: ['@typescript-eslint'],
    extends: ['plugin:@typescript-eslint/recommended'],
    parserOptions: {
        "project": "./tsconfig.json"
    },
    rules: {
        "@typescript-eslint/explicit-function-return-type": ["error"],
        "@typescript-eslint/interface-name-prefix": ["warn", { prefixWithI: "always" }],
        "@typescript-eslint/no-inferrable-types": ["warn", { ignoreParameters: true, ignoreProperties: true }],
        "semi": "error"
    },
    env: {
        "node": true
    }
}