import { HapClient } from "../HapClient";
import { log } from '../Types/types';
import { singleton, inject } from 'tsyringe';


@singleton()
export default class Monitor {
    private log: log;
    private api: any;
    private client: HapClient;

    constructor(@inject("log") log: log) {
        this.log = log;

        this.client = new HapClient({
            pin: "031-45-154",
            logger: this.log,
            config: {}
        });
    }
}